from .gpt2_wrapper import GPT2Wrapper
from .t5_wrapper import T5Wrapper


class Devulgarizer:
    def __init__(self, model, path=None):
        if model == 'GPT2':
            self.nlp = GPT2Wrapper(path)
        elif model == 'T5':
            self.nlp = T5Wrapper(path)
        else:
            raise ValueError("model must be either 'GPT2' or 'T5'")

    def process(self, text):
        return self.nlp.process(text)
