from transformers import T5Tokenizer, T5ForConditionalGeneration


class T5Wrapper():
    def __init__(self, path="./models/DEPOTxT5-base"):
        self.model = T5ForConditionalGeneration.from_pretrained(path)
        self.tokenizer = T5Tokenizer.from_pretrained(path)

    def get_input_sent(self, vulg):
        return "usuń wulgaryzmy: " + vulg

    def process(self, text, kwargs=None):
        input = self.tokenizer(
            self.get_input_sent(text),
            return_tensors="pt"
        )

        if kwargs:
            output = self.model.generate(
                input.input_ids,
                decoder_attention_mask=input.attention_mask
            )
        else:
            output = self.model.generate(
                input.input_ids,
                decoder_attention_mask=input.attention_mask,
                max_length=1024
            )

        return self.tokenizer.decode(output[0], skip_special_tokens=True)
